package com.gct.tools.etlcamelhuge.MQ;

import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.client.producer.SendResult;
import org.springframework.stereotype.Component;

/**
 * class name: DiagnoseMsgSendSuccessCallBack
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/6/24 下午7:23
 */
@Slf4j
@Component("defaultMsgSendSuccessCallBack")
public class DefaultMsgSendSuccessCallBack implements SendSuccessCallBack {
    private static int count = 0;
    @Override
    public void accept(SendResult sendResult) {
        System.out.println("send = "+count++);
        log.info("send msg success,msg:{}", sendResult.getMsgId());
    }
}
